<template>
  <div class="studentsList">
    <h4>List of All Students</h4>
    <hr>
    <div class="studentList">
        <ul>
            <li v-for="(student, index) in students" :key="index" @click="selectStudent(student)">
              {{student.first_name}} {{student.last_name}}</li>
        </ul>
    </div>
  </div>
  <!--div class="students-table">
    <ul>
      <li v-for="(student, index) in students" :key="index">
        <div @click="selectStudent(student)" :class="{'selected': student===selectedStudent}">
          <span class="name">{{student.first_name}} {{student.last_name}}</span>
          <span>{{student.email}}</span>
        </div>
      </li>
    </ul>
  </div>-->
</template>

<script>
import store from '../../store/store.js'
import {mapGetters} from 'vuex'

export default {
  props: [
    'selectedStudent'
  ],
  data () {
    return {
    }
  },
  methods: {
    selectStudent(student) {
      this.$emit('student-selected', student);
      console.log(this.selectedStudent);
    }
  },
  computed: {
    ...mapGetters([
      'students',
    ])
  }
}
</script>

<style lang="scss">
div.students-table {
  width: 60%;
  height: 70%;
  margin-top: 5%;
  padding-top: 2%;
  margin-left: 15%;

  ul {
    list-style-type: none;
    overflow-y: scroll;

    li {
      display: block;
      height: 30px;
      
      div {
        height: 100%;
        width: 96%;
        padding-left: 2%;
        padding-right: 2%;
        cursor: pointer;
        &.selected {
          background-color: blue;
          color: white;
        }

        span {
          float: left;
          width: 30%;
          &.name {
            float: left;
            width: 30%;
          }
        }
      }
    }
  }
}
</style>